<?xml version="1.0" encoding="UTF-8"?>

<!--
    Document   : transform.xsl
    Created on : 1. duben 2008, 13:30
    Author     : bar
    Description:
        Purpose of transformation follows.
-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
    <xsl:output 
      method="xml" 
      doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"
      doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"
    />

    <!-- TODO customize transformation rules 
         syntax recommendation http://www.w3.org/TR/xslt 
    -->
    <xsl:template match="/">
        <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
            <head>
                <meta http-equiv="ContentType" content="text/html"/>
                <title><xsl:apply-templates select="//name"/><xsl:text> </xsl:text><xsl:apply-templates select="//surname"/></title>
            </head>
            <body>
                <div class="header" align="center" style="background:yellow;width:"50%">
                    <h1><xsl:apply-templates select="//name"/><xsl:text>'s personal page</xsl:text></h1>
                </div>
                <xsl:apply-templates select="//address"/>
                <xsl:apply-templates select="//text/text"/>
            </body>
        </html>
    </xsl:template>
    <xsl:template match="name">
        <xsl:value-of select="."/>
    </xsl:template>
    <xsl:template match="surname">
        <xsl:value-of select="."/>
    </xsl:template>
    <xsl:template match="address">
        <div class="addressbox" style="align:right;width:10%">
            <div class="address" style="text-align:left;bgcolor:lightblue">
                <h4>address:</h4>
                <div class="street" style="text-align:right">
                    <span id="street"><xsl:value-of select="street"/></span>
                    <xsl:text> </xsl:text>
                    <span id="house"><xsl:value-of select="house"/></span>
                </div>
                <div class="postcode_and_city" style="text-align:right">
                    <span id="postcode" ><xsl:value-of select="postcode"/></span>
                    <span id="city" ><xsl:value-of select="city"/></span>
                </div>
            </div>
        </div>
    </xsl:template>
    <xsl:template match="text">
        <div class="messagebox" align="center">
            <div class="message" style="text-align:center;background-color:yellow;width:50%">
                <xsl:text><em>Message:</em> </xsl:text>
                <xsl:value-of select="."/>
            </div>
        </div>
    </xsl:template>
</xsl:stylesheet>
